SystemOrganization addCategory: #'PW-Components'!

ALExamplePage subclass: #PWNavBarComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/29/2016 07:40'!
initialize
	examples := {
		'unicode' -> PWPageView.
		'streaming' -> PWFormView.
		'counter' -> ALCounterExample.
		'ajax counter' -> ALAjaxCounterExample.
		'pjax counter' -> ALPjaxCounterExample.
		"'form' -> PWFormExamplesPage."
	}.
	current := examples first value new.! !

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:06'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'ooplu'.
			self renderStylesOn: html.
			 html script: '(function(i,s,o,g,r,a,m){i[''GoogleAnalyticsObject'']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,''script'',''https://www.google-analytics.com/analytics.js'',''ga'');

  ga(''create'', ''UA-77482044-1'', ''auto'');
  ga(''send'', ''pageview'');'.
			html link rel: 'stylesheet'; href: 'bootstrap.min.css'.
			html link rel: 'stylesheet'; href: 'blog.css' ].
		html body: [ self renderBodyOn: html ] ]! !

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:07'!
renderNavBarOn: html
html div class: 'container'; with: [
	html nav class: 'blog-nav'; with:
		[examples do:
			[:pair | "html li: ["
				html a class: 'blog-nav-item'; navigate: [current := pair value new]; with: pair key
							"]	"
			]
		]
								].! !

Object subclass: #PWAjaxComponent
	instanceVariableNames: 'html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWAjaxComponent class methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
html: aString
	^self basicNew
		initializeWithWikiString: aString! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/2/2016 09:17'!
html 
	^html! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/4/2016 10:32'!
html: anObject
	html := anObject! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
initializeWithWikiString: aString
	html := aString
	! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:17'!
renderOn: json
	json object:
		[json name: 'count' value: html]! !
